package main

import (
	"flag"
	"log"
	// "github.com/goccy/go-graphviz"
	_ "github.com/mattn/go-sqlite3"
)

func main() {
	// log.Println("entering main")
	var (
		mapDB string
	)

	flag.StringVar(&mapDB, "map", "Aardwolf.db", "name of aardwolf map file")

	// log.Println("parsing flags?")
	flag.Parse()
	// log.Println("flags parsed")

	am, err := NewMapper(mapDB)
	if err != nil {
		log.Fatalf("error creating AardMapper: %s\n", err)
	}
	log.Printf("databse opened: %#+v\n", am)
	areas, _ := am.Areas()
	log.Printf("databse opened: %#+v\n", areas)

}
